# OpenGLException (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class OpenGLException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.lwjgl.opengl.OpenGLException

All Implemented Interfaces:
  java.io.Serializable

    public class OpenGLException

extends java.lang.RuntimeException

Thrown by the debug build library of the LWJGL if any OpenGL operation causes an error.

Version:
  $Revision$ $Id$
Author:
  cix_foo <cix_foo@users.sourceforge.net>
See Also:
  Serialized Form

Constructor Summary
`OpenGLException()` Constructor for OpenGLException.
`OpenGLException(int gl_error_code)` Constructor for OpenGLException.
`OpenGLException(java.lang.String message)` Constructor for OpenGLException.
`OpenGLException(java.lang.String message, java.lang.Throwable cause)` Constructor for OpenGLException.
`OpenGLException(java.lang.Throwable cause)` Constructor for OpenGLException.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenGLException

    public OpenGLException(int gl_error_code)

  Constructor for OpenGLException.

### OpenGLException

    public OpenGLException()

  Constructor for OpenGLException.

### OpenGLException

    public OpenGLException(java.lang.String message)

  Constructor for OpenGLException.

  Parameters:
    `message` -

### OpenGLException

    public OpenGLException(java.lang.String message,
                           java.lang.Throwable cause)

  Constructor for OpenGLException.

  Parameters:
    `message` -
    `cause` -

### OpenGLException

    public OpenGLException(java.lang.Throwable cause)

  Constructor for OpenGLException.

  Parameters:
    `cause` -

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.